/*==========================================================================
# Fullscreen menu style - begin
========================================================================== */

/* Fullscreen general style - begin
========================================================================== */

.mkdf-dark-header .mkdf-page-header > div:not(.mkdf-sticky-header):not(.fixed) .mkdf-fullscreen-menu-opener {
    color: $header-dark-color;
    
    &:hover,
    &.mkdf-fm-opened {
        color: $header-dark-hover-color;
    }
}

.mkdf-light-header .mkdf-page-header > div:not(.mkdf-sticky-header):not(.fixed) .mkdf-fullscreen-menu-opener {
    color: $header-light-color;
    
    &:hover,
    &.mkdf-fm-opened {
        color: $header-light-hover-color;
    }
}

.mkdf-fullscreen-menu-opener {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    
    .mkdf-fm-lines {
        position: relative;
        display: inline-block;
        vertical-align: middle;
        width: 20px;
        height: 16px;
        
        .mkdf-fm-line {
            position: absolute;
            left: 0;
            height: 2px;
            width: 100%;
            background-color: currentColor;
            border-radius: 12px;
            -webkit-transition: -webkit-transform .3s ease, top .2s ease-out, background-color .2s ease-out;
            -moz-transition: -moz-transform .3s ease, top .2s ease-out, background-color .2s ease-out;
            transition: transform .3s ease, top .2s ease-out, background-color .2s ease-out;
            
            &.mkdf-line-1 {
                top: 0;
                outline: transparent solid 1px;
            }
            
            &.mkdf-line-2 {
                top: calc(50% - 1px);
                outline: transparent solid 1px;
            }
            
            &.mkdf-line-3 {
                top: calc(100% - 2px);
                outline: transparent solid 1px;
            }
        }
    }
    
    &:hover {
        
        .mkdf-fm-lines {
            
            .mkdf-fm-line {
                
                &.mkdf-line-1,
                &.mkdf-line-3 {
                    top: calc(50% - 1px);
                }
                
                &.mkdf-line-2 {
                    @include mkdfTransform(rotate(90deg));
                }
            }
        }
    }
    
    &.mkdf-fm-opened {
        color: #92919c;
        
        .mkdf-fm-lines {
            
            .mkdf-fm-line {
                
                &.mkdf-line-1 {
                    display: none;
                }
                
                &.mkdf-line-2 {
                    top: 50%;
                    @include mkdfTransform(rotate(45deg));
                }
                
                &.mkdf-line-3 {
                    top: 50%;
                    @include mkdfTransform(rotate(-45deg));
                }
            }
        }
    }
}

.mkdf-fullscreen-menu-opened {

    .mkdf-page-header,
    .mkdf-top-bar,
    .mkdf-logo-wrapper {
        visibility: hidden;
    }

    .mkdf-fullscreen-menu-opener {
        visibility: visible;
    }

    .mkdf-fullscreen-menu-holder-outer {
        visibility: visible !important;
        opacity: 1 !important;
    }
    
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow-y: hidden;
    
    &.admin-bar {
        top: 32px;
        height: calc(100% - 32px);
    }
    
}

.mkdf-fullscreen-menu-holder-outer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow-x: hidden !important;
    visibility: hidden;
    opacity: 0;
    z-index: 105; /* this has to be between header z-index and content z-index */
}

.mkdf-fullscreen-menu-holder {
    position: relative;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.9);
    background-image: url('../../../../../assets/img/background-pattern.jpg');
    background-size: cover;
    display: table;
    background-repeat: repeat;
    background-position: 0 0;
}

.mkdf-fullscreen-menu-holder-inner {
    display: table-cell;
    vertical-align: middle;
    padding: 100px 0;
    position: relative;
}

.touch {

    .mkdf-fullscreen-menu-holder-outer {
        display: none;
    }

    .mkdf-fullscreen-menu-opened .mkdf-fullscreen-menu-holder-outer {
        display: block;
    }
}

nav.mkdf-fullscreen-menu {
    position: relative;
    top: 0;
    margin: 0 auto;
    text-align: left;

    ul {
        position: relative;
        list-style: none;
        padding: 0;
        margin: 0;

        li {
            margin: 0;
            padding: 0;
            text-align: center;

            a {
                position: relative;
                display: inline-block;
	            vertical-align: middle;
                margin: 9px 0;
	            font-size: 20px;
	            line-height: 1.3em;
                text-transform: uppercase;

                span {
                    position: relative;
                    display: inline-block;
                    vertical-align: top;
                }

                .mkdf-fullscreen-menu-arrow {
                    position: relative;
                    top: 0;
                    display: inline-block;
                    vertical-align: middle;
                    margin: 0 0 0 10px;
                    font-size: 0.65em;
                    line-height: inherit;
                }
            }

            ul {
                padding: 7px 0;

                &.sub_menu {
                    display: none;
                }

                li {

                    &.current-menu-ancestor > a,
                    &.current-menu-item > a {
                        color: $first-main-color;
                    }

                    ul {

                        li {

                            a {
                                font-size: 20px;
                            }
                        }
                    }
                }
            }
        }
    }

    > ul {
        display: block;

        > li {

            > a {
                font-size: 30px;
                font-weight: 600;
            }

            &.mkdf-active-item > a {
                color: $first-main-color;
            }
        }
    }
}

.mkdf-fullscreen-below-menu-widget-holder {
    text-align: center;
    margin-top: 20px;
    position: absolute;
    bottom: 50px;
    left: 50%;
    @include mkdfTransform(translateX(-50%));
}

.mkdf-fullscreen-above-menu-widget-holder {
    text-align: center;
    position: absolute;
    top: 150px;
    left: 50%;
    @include mkdfTransform(translateX(-50%));
}

/* Fullscreen general style - end
========================================================================== */

/* Fullscreen fade animations general - begin
========================================================================== */

@-webkit-keyframes fade_out {
    0% {
        opacity: 1;
        visibility: visible
    }
    100% {
        opacity: 0;
        visibility: hidden
    }
}

@-moz-keyframes fade_out {
    0% {
        opacity: 1;
        visibility: visible
    }
    100% {
        opacity: 0;
        visibility: hidden
    }
}

@keyframes fade_out {
    0% {
        opacity: 1;
        visibility: visible
    }
    100% {
        opacity: 0;
        visibility: hidden
    }
}

@-webkit-keyframes fade_in {
    0% {
        opacity: 0;
        visibility: hidden
    }
    100% {
        opacity: 1;
        visibility: visible
    }
}

@-moz-keyframes fade_in {
    0% {
        opacity: 0;
        visibility: hidden
    }
    100% {
        opacity: 1;
        visibility: visible
    }
}

@keyframes fade_in {
    0% {
        opacity: 0;
        visibility: hidden
    }
    100% {
        opacity: 1;
        visibility: visible
    }
}

.mkdf-fade-push-text-right .mkdf-fullscreen-menu-holder-outer,
.mkdf-fade-push-text-top .mkdf-fullscreen-menu-holder-outer,
.mkdf-fade-text-scaledown .mkdf-fullscreen-menu-holder-outer {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    visibility: hidden;
    overflow: hidden !important;
    z-index: 105;
    opacity: 0;
}

.mkdf-fullscreen-fade-out .mkdf-fullscreen-menu-holder-outer {
    -webkit-animation: fade_out .25s linear both;
    -moz-animation: fade_out .25s linear both;
    animation: fade_out .25s linear both;
}

.mkdf-fullscreen-menu-opened.mkdf-fullscreen-fade-in .mkdf-fullscreen-menu-holder-outer {
    -webkit-animation: fade_in .25s linear both;
    -moz-animation: fade_in .25s linear both;
    animation: fade_in .25s linear both;
}

/* Fullscreen fade animations general - end
========================================================================== */

/* Fullscreen animation push text right - begin
========================================================================== */

@-webkit-keyframes push_text_right {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-60px);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateX(0);
    }
}

@-moz-keyframes push_text_right {
    0% {
        opacity: 0;
        -moz-transform: translateX(-60px);
    }
    100% {
        opacity: 1;
        -moz-transform: translateX(0);
    }
}

@keyframes push_text_right {
    0% {
        opacity: 0;
        transform: translateX(-60px)
    }
    100% {
        opacity: 1;
        transform: translateX(0)
    }
}

@-webkit-keyframes push_nav_right {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-60px);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateX(0);
    }
}

@-moz-keyframes push_nav_right {
    0% {
        opacity: 0;
        -moz-transform: translateX(-60px);
    }
    100% {
        opacity: 1;
        -moz-transform: translateX(0);
    }
}

@keyframes push_nav_right {
    0% {
        opacity: 0;
        transform: translateX(-60px)
    }
    100% {
        opacity: 1;
        transform: translateX(0)
    }
}

.mkdf-fullscreen-menu-opened.mkdf-fade-push-text-right .mkdf-fullscreen-menu-holder-outer nav > ul > li > a,
.mkdf-fullscreen-menu-opened.mkdf-fade-push-text-right .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-below-menu-widget-holder > div,
.mkdf-fullscreen-menu-opened.mkdf-fade-push-text-right .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-above-menu-widget-holder > div {
    @include mkdfAnimation(push_text_right .4s cubic-bezier(0.175, 0.885, 0.32, 1) both);
}

.mkdf-fade-push-text-right.mkdf-push-nav-right .mkdf-fullscreen-menu-holder-outer nav,
.mkdf-fade-push-text-right.mkdf-push-nav-right .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-below-menu-widget-holder,
.mkdf-fade-push-text-right.mkdf-push-nav-right .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-above-menu-widget-holder {
    @include mkdfTransition(all .75s ease-out);
    @include mkdfTransform(translateX(50px));
}

/* Fullscreen animation push text right - end
========================================================================== */

/* Fullscreen animation push text top - begin
========================================================================== */

@-webkit-keyframes push_text_top {
    0% {
        opacity: 0;
        -webkit-transform: translateY(60px);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateY(0);
    }
}

@-moz-keyframes push_text_top {
    0% {
        opacity: 0;
        -moz-transform: translateY(60px);
    }
    100% {
        opacity: 1;
        -moz-transform: translateY(0);
    }
}

@keyframes push_text_top {
    0% {
        opacity: 0;
        transform: translateY(60px);
    }
    100% {
        opacity: 1;
        transform: translateY(0)
    }
}

.mkdf-fullscreen-menu-opened.mkdf-fade-push-text-top .mkdf-fullscreen-menu-holder-outer nav > ul > li > a,
.mkdf-fullscreen-menu-opened.mkdf-fade-push-text-top .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-below-menu-widget-holder > div,
.mkdf-fullscreen-menu-opened.mkdf-fade-push-text-top .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-above-menu-widget-holder > div {
    @include mkdfAnimation(push_text_top .4s ease-out both .5s);
}

.mkdf-fade-push-text-top.mkdf-push-text-top .mkdf-fullscreen-menu-holder-outer nav,
.mkdf-fade-push-text-top.mkdf-push-text-top .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-below-menu-widget-holder,
.mkdf-fade-push-text-top.mkdf-push-text-top .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-above-menu-widget-holder {
    @include mkdfTransform(translateY(-30px));
    @include mkdfTransition(all .75s ease-out);
}

/* Fullscreen animation push text top - end
========================================================================== */

/* Fullscreen animation fade text scaledown - begin
========================================================================== */

.mkdf-fullscreen-menu-opened.mkdf-fade-text-scaledown .mkdf-fullscreen-menu-holder-outer nav,
.mkdf-fullscreen-menu-opened.mkdf-fade-text-scaledown .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-below-menu-widget-holder,
.mkdf-fullscreen-menu-opened.mkdf-fade-text-scaledown .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-above-menu-widget-holder {
    opacity: 1;
    @include mkdfTransform(scale(1));
    @include mkdfTransition(all .25s linear 0.1s);
}

.mkdf-fade-text-scaledown .mkdf-fullscreen-menu-holder-outer nav,
.mkdf-fade-text-scaledown .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-below-menu-widget-holder,
.mkdf-fade-text-scaledown .mkdf-fullscreen-menu-holder-outer .mkdf-fullscreen-above-menu-widget-holder {
    opacity: 0;
    @include mkdfTransform(scale(1.1));
    @include mkdfTransition(all .25s linear 0.1s);
}

/* Fullscreen animation fade text scaledown - end
========================================================================== */

/* ==========================================================================
# Fullscreen menu style - end
==========================================================================*/